---
title: Arch Linux Install guide
description: 
published: true
date: 2019-06-01T21:39:34.364Z
tags: 
---

# Let's start. 

This assumes your target disk is /dev/sda, you are running UEFI, you want rEFInd because it's cool, you are wired into ethernet for the install process, you use US keyboard, and mostly understand english

Alternatively, check out [our installer](https://git.fosc.space/fosc/fosc-arch-installer)

## Partitioning

cgdisk /dev/sda

	/dev/sda1 200M		(ef00) /boot   
	/dev/sda2 $REST_OF_HDD	(8300) /     

```
mkfs.vfat -F 32 /dev/sda1
mkfs.ext4 /dev/sda2

mount /dev/sda2 /mnt
mkdir /mnt/boot
mount /dev/sda1 /mnt/boot
```

## Actual install
Install all packages needed (add what you need!)

`pacstrap -i /mnt base base-devel refind-efi xorg-server gnome gnome-extra firefox networkmanager htop zsh grml-zsh-config`

`genfstab -U /mnt >> /mnt/etc/fstab`

## Get in there to configure

`arch-chroot /mnt /bin/zsh`

```
echo "en_US.UTF-8 UTF-8" > /etc/locale.gen
echo LANG=en_US.UTF-8 > /etc/locale.conf

locale-gen
```

## Users
```
passwd
chsh root -s /bin/zsh

useradd -m -G wheel -s /bin/zsh user
passwd user
```

## Enable services

```systemctl enable NetworkManager gdm```

## Bootloader

`refind-install`

## Kernel cmdline
Basically edit your boot options to be 'rw root=/dev/sda2', as sometimes rEFInd doesn't make this automatically

`nano /boot/refind_linux.conf`

## Git out

`exit`
`reboot`