---
title: Infrastructure
description: The hardware and software powering it all
published: true
date: 2019-06-03T02:28:51.095Z
tags: 
---

# Basic overview

- Entrypoint to network is a Linksys WRT1200AC
- Main HP DL380 G6 server
- File server is a Custom Intel SC5000 BASE

# Router

Self assigned WAN IP address, easily probed via our true domain `fosc.etsit.upct.es`

# Main Server

Its hostname is just `fosc`

Runs NixOS with some nice configs and acts as a docker server.
These configs are not intended to be touched by mortals, but can be seen by everyone so they can help in home setups.

Extensive docker-compose setup available at `/var/docker/`. 
TL;DR: Go there if you have been given access to deploy a stack.

## RAID setup
NixOS boots from an independent f2fs 250GB SSD. Real storage is available in a ZFS "RAID10" composed of the 4 mechanical disks. Due to RAID card annoyances, replacing a disk requires a reboot (and probably more intervention)
  
## Traefik
This server is the services entrypoint for the network and hogs port 80 and 443 (among others) and will fetch different webpages based on domain.

## Mounting
Files are retrieved from the file server at `/mnt/gordo`
  

# File Server

As you would have expected, `gordo`

Also runs NixOS, acts as NFS server and torrent seedbox. Has a minor traefik+docker setup as well, doing not much.

It is basically out of ram 100% of the time, as it is used for ZFS caching.

## RAID setup
Three 1TB SATA disks in raidz (RAID5). The first disk seen by the BIOS contains the GRUB bootloader and a small boot partition aside from one of the three ZFS partitions.

Only one disk can fail at the same time. Be careful out there.


